org.glassfish.jersey.server.model

## Class ModelValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.glassfish.jersey.server.model.ModelValidationException

All Implemented Interfaces:
  Serializable

    public class ModelValidationException
    extends RuntimeException

Resource model validation exception. Indicates the issues with the model.

Author:
  Jakub Podlesak, Marek Potociar
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelValidationException(String message, List<ResourceModelIssue> issues)` Creates new resource model validation exception with the list of validation issues and the message.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ResourceModelIssue>` `getIssues()` Get validation issues.
`String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelValidationException

    public ModelValidationException(String message,
                                    List<ResourceModelIssue> issues)

Creates new resource model validation exception with the list of validation issues and the message.

Parameters:
  `message` - message for the exception. The final message returned by `getMessage()` will contains the `message` and other information about exception.
  `issues` - validation issues.

### Method Detail

#### getIssues

    public List<ResourceModelIssue> getIssues()

Get validation issues.

Returns:
  validation issues.

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`